window.onload = () => {
  'use strict';

  if ('serviceWorker' in navigator) {
    const cacheName = 'portal-pwa';
    const filesToCache = [
      '/',
      './index.html',
      '../src/_panel/assets/css/style.css',
      '../src/_panel/assets/css/main.css',
      '../src/_panel/assets/css/fonts.css',
      './media/logos/logo.png',
    ];

    /* Start the service worker and cache all of the app's content */
    self.addEventListener('install', function (e) {
      e.waitUntil(
        caches
          .open(cacheName)
          .then(function (cache) {
            console.log('caching assets...');
            return cache.addAll(filesToCache);
          })
          .catch((err) => {}),
      );
    });

    /* Serve cached content when offline */
    self.addEventListener('fetch', function (e) {
      e.respondWith(
        caches
          .match(e.request)
          .then(function (response) {
            return response || fetch(e.request);
          })
          .catch((err) => {
            if (evt.request.url.indexOf('.html') > -1) {
              return caches.match('./fallback.html');
            }
          }),
      );
    });
  }
};
